/* CSS styles for the tool */
.height-label label {
    vertical-align: middle;
}
.form-control {
    border-radius: 4px !important;
}
.mb-3,
.my-3 {
    margin-bottom: 10px !important;
}
.text-l {
    font-size: 20px;
    font-weight: 500;
}
.text-xl {
    font-size: 24px;
}
#result {
    margin-top: 20px;
}
.resultshadowbox {
    min-width: 290px;
}
.divide span.upper {
    border-bottom: 1px solid #000;
    text-align: center;
}
.divide {
    display: -ms-inline-grid;
    display: inline-grid;
    vertical-align: middle;
    text-align: center;
    line-height: 1.5;
}
.divide span.upper {
    border-bottom: 1px solid #000;
    text-align: center;
}
#steps {
    font-size: 16px;
}
.coursehead th {
    text-align: center;
}
.shareit {
    display: none;
}
.resultshadowbox p:last-child {
    margin-bottom: 0;
}
.solution {
    display: -ms-grid;
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(150px, 2fr));
    -ms-grid-columns: 1fr 20px 1fr 20px 1fr;
    grid-template-columns: repeat(3, 1fr);
}
.inner:first-child {
    border-right: 1px solid #ccc;
}
.res-grid {
    display: -ms-grid;
    display: grid;
    grid-gap: 20px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 2fr));
    background-color: #fff;
    margin: 20px auto;
}
table {
    width: 100%;
    display: table;
    border-collapse: collapse;
    border-spacing: 0;
}
table.striped > tbody > tr:nth-child(odd) {
    background-color: #f2f2f280;
}
table.highlight > tbody > tr {
    -webkit-transition: background-color 0.25s ease;
    -o-transition: background-color 0.25s ease;
    transition: background-color 0.25s ease;
}
table.striped tr {
    border-bottom: none;
}
table.striped > tbody > tr > td {
    border-radius: 0;
}
table tr td {
    padding: 5px 7.5px;
}
details {
    padding: 0.5em 0.5em 0;
}
summary {
    text-decoration: underline;
    text-align: center;
    cursor: pointer;
    font-weight: 700;
    margin: -0.5em -0.5em 0;
    padding: 0.5em;
    outline: none;
    border: none;
}
/* summary :is(:active, :hover: :focus) {
    outline: none;
    border: none;
} */
details[open] {
    padding: 0.5em;
}
details[open] summary {
    margin-bottom: 0.5em;
}
details {
    text-align: left;
}
#ci_result2 {
    width: 200px;
    color: #1467c0;
    font-size: 20px;
    margin: 0 auto;
    text-align: center;
}
@media (max-width: 768px) {
    .res-grid {
        grid-template-columns: repeat(auto-fit, minmax(250px, 2fr));
        justify-items: center;
    }
    .resultshadowbox {
        min-width: 200px;
    }
}
@media (max-width: 576px) {
    .res-grid {
        grid-template-columns: repeat(auto-fit, minmax(180px, 2fr));
    }
    .resultshadowbox {
        min-width: 250px;
    }
}
